@import "_minreset.css";
@import "_cloud.css";

:root {
    --main-teal:#2ec4b6;
    --main-white:#fdfffc;;
    --main-orange: #ff9f1c;
    --main-red: #e71d36; 
}

html {
    line-height: 1.5;
    font-family:  monospace, Verdana, sans-serif;
    font-size: 16px;
    position: relative;
    scroll-behavior: smooth;
}

main {
    color: #000;
    min-height: 100vh;
    overflow-x: hidden;
}

.wrapper {
    margin: 0 auto;
    max-width: 990px;
    padding: 0 15px;
}


.hero {
    background: linear-gradient(110deg, rgba(46, 196, 182, 0.7) 50%, rgba(255, 159, 28, 0.5) 70%), url(../img/hero_bg_mountains_800w.avif);
    background-position:center;
    background-size: cover;
    position: relative;
}

.hero::before, .hero::after {
    content: "";
    border-color: transparent transparent var(--main-white) transparent;
    border-style: solid;
    height: 0;
    width: 0;
    bottom: 0;
    position: absolute;
}

.hero::before {
    border-width: 0 25px 25px calc(50vw - 25px);
    left: 0;
}

.hero::after {
    border-width: 0  calc(50vw - 25px) 25px 25px;
    right: 0;

}

@media (min-width: 800px) {
    .hero {
        background: linear-gradient(110deg, rgba(46, 196, 182, 0.7) 50%, rgba(255, 159, 28, 0.5) 70%), url(../img/hero_bg_mountains_2700w.avif);
        background-position: 50% 70%;
        background-size: cover;
    }
}

.hero-text {
    padding: 120px 0;
}

.hero-h1 {
    font-size: 2.5rem;
}


/*--- QUOTES SECTION ---*/
.quotes {
    background-color: var(--main-white);
    position: relative;
}

.quotes::before {
    border-radius: 5px;
    content: "";
    position: absolute;
    border-style: double;
    height: 140px;
    width: 140px;
    bottom: 0;
    border-width: 40px 40px 40px 40px;
    border-color: var(--main-white);
    left: calc(50% - 70px);
    top: -70px;
    transform: rotate(45deg);
}

.quote {
    max-width: 60ch;
    margin: 0 auto;
    padding: 50px 0;
    position: relative;
}

.quote-text {
    font-weight: bold;
}

.quote-author {
    font-style: italic;
    padding-top: 1rem;
}

/* --- PROJECTS SECTION ---*/
.projects {
    background-color: var(--main-teal);
    position: relative;
    /* overflow: hidden; */
}

.projects::before {
    content: "";
    border-color: var(--main-white) var(--main-teal) transparent var(--main-teal);
    border-style: solid;
    border-width: 30px 49vw 0px 51vw;
    height: 0;
    width: 0;
    position: absolute;
    top: 0;
    right: 0;
}

.projects-img {
    padding-top: 3rem;
    text-align: center;
}

.projects-img img {
    max-height: 90px;
    min-width: 120px;
}

.projects-heading {
    text-align: center;
    font-size: 2rem;
}

.projects-content {
    display: flex;
    gap: 5rem 2.5rem;
    flex-wrap: wrap;
    justify-content: space-around;
    padding: 3rem 0;
    position: relative;

}

.projects-note {
    position: relative;
    height: 200px;
    width: 300px;
 }


.note-pin {
    background-color: rgb(90, 90, 90);
    height: 30px;
    width: 2px;
    position: absolute;
    left: 175px;
    top: 7.5px;
    transform: rotate(64deg);
    transform-origin: top center;
    z-index:1;
}

.note-pin::after {
    background: radial-gradient(circle, rgba(231, 29, 54, 1) 0%, rgba(0, 0, 0, 1) 100%);
    border-radius: 1008px;
    content: '';
    height: 15px;
    left: -6px;
    position: absolute;
    width: 15px;
    top: -14%;
}


.note-content {
    background: linear-gradient(90deg, rgba(255,159,28,1) 0%, rgba(255,180,73,1) 100%);
    box-shadow: 1px 1px 1px rgb(0 0 0 / 30%), 1px 1px 1px rgb(0 0 0 / 20%);
    height: 200px;
    width: 300px;
    padding-top:40px;
    text-align: center;
    transform: rotate(8deg);
    transform-origin: 50% 10%;
    transform-style: preserve-3d;
    transition: 0.1s ease;
}


.note-content:after {
    content: "";
    display: block;
    border-style: solid;
    border-width: 15px;
    border-color: var(--main-teal) var(--main-orange) var(--main-orange) var(--main-teal);
    box-shadow: 1px 1px 1px rgb(0 0 0 / 30%), 1px 1px 1px rgb(0 0 0 / 20%);
    position: absolute;
    top: -1px;
    left: -1px;
    transition: 0.1s ease;
  } 
  
  /* .note-content::before {
    position: absolute;
    top: 10%;
    left: 50%;
    width: 5px;
    height: 5px;
    content: '';
    background-color: #f0f;
    border-radius: 50%;
    transform: translate(-50%, -50%);
  } */



.note-content:hover {
    transform: rotate(0deg) !important;
    transition: 0.2s ease;
 }

 .note-content:hover::after {
    border-width: 22px;
    transition: 0.2s ease;
 }

 .note-title {
    font-size: 1.4rem;
    letter-spacing: -1.5px;
    text-decoration:underline;
 }

 .note-text {
    padding: 1rem 0.2rem;
    letter-spacing: -1.5px;
 }

 .note-links {
    display: flex;
    justify-content: space-evenly;
 }

 .note-links a {
    color: black;
 }

.footer {
    background-color: color-mix(in srgb, black, var(--main-teal) 50%);
    color: #fff;
    display: grid;
    height: 50px;
}

.footer-text {
    place-self: center;
}



 /* background: conic-gradient(lime 40%, yellow 0 70%, red 0); */